if ( exists( select 'x' from sysobjects where name='get_col_to_update' ) )
                    begin drop Proc get_col_to_update end
GO
SET ANSI_NULLS ON
SET QUOTED_IDENTIFIER ON

GO

create proc [dbo].[get_col_to_update]
@Table nvarchar(50)
as

SELECT COLUMN_NAME
,isnull( case when CHARACTER_MAXIMUM_LENGTH is null
                               then Data_Type
	  when CHARACTER_MAXIMUM_LENGTH =(-1)
	                         then Data_Type+'(max)'
	 when CHARACTER_MAXIMUM_LENGTH between 0 and 4000
	                         then Data_Type+'('+convert(nvarchar(50), CHARACTER_MAXIMUM_LENGTH)+')'
	
							 end,'image') as data_type
							

,iif(IS_NULLABLE='yes',' NULL','NOT NULL')

,REPLACE( REPLACE( Column_default, '((', ''),'))','')
,TABLE_NAME

FROM INFORMATION_SCHEMA.COLUMNS
--WHERE TABLE_NAME = @Table
GO


if ( exists( select 'x' from sysobjects where name='alter_table' ) )
                    begin drop Proc alter_table end
GO
SET ANSI_NULLS ON
SET QUOTED_IDENTIFIER ON

GO

create proc alter_table
@Table nvarchar(50)
,@Col nvarchar(50)
,@Data_Type nvarchar(50)
,@IS_NULLABLE nvarchar(50)
,@Column_default nvarchar(50)
as
DECLARE @ConstraintName NVARCHAR(MAX);
DECLARE @PK NVARCHAR(MAX);
DECLARE @Data_Type1 NVARCHAR(MAX);
set @Data_Type1=iif( @Data_Type is null,'image',@Data_Type)
IF ( (SELECT count( *) FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = @Table AND COLUMN_NAME = @Col)=0)
begin
if(@Column_default is not null)
begin

--------------------

begin try
exec ('ALTER TABLE['+@Table+ ']DROP CONSTRAINT '+ 'DF_'+@Table+'_'+@Col)
end try
begin catch
end catch

-------------------------
exec ('ALTER TABLE['+@Table+ ']ADD ['+@Col +'] '+ @Data_Type1+' '+@IS_NULLABLE +' DEFAULT ' +@Column_default)
begin try
exec ('ALTER TABLE['+@Table+ ']ADD  CONSTRAINT [DF_'+@Table+'_'+@Col+'] DEFAULT ('+@Column_default+') FOR ' +@Col  )
end try
begin catch
end catch
exec (' UPDATE '+@Table+' SET '+@Col+'='+@Column_default+' WHERE ' +@Col+' is null ')
end
else
exec ('ALTER TABLE['+@Table+ ']ADD ['+@Col +'] '+@Data_Type1+' '+@IS_NULLABLE )
end




else
begin
 
Select @ConstraintName= SysObjects.[Name] 
        --Tab.[Name] as [Table Name],
        --Col.[Name] As [Column Name]
From SysObjects Inner Join 
(Select [Name],[ID] From SysObjects) As Tab
On Tab.[ID] = Sysobjects.[Parent_Obj] 
Inner Join sysconstraints On sysconstraints.Constid = Sysobjects.[ID] 
Inner Join SysColumns Col On Col.[ColID] = sysconstraints.[ColID] And Col.[ID] = Tab.[ID]
where Tab.[Name]=@Table and Col.[Name]=@Col

begin try
exec ('ALTER TABLE['+@Table+ ']DROP CONSTRAINT '+ 'DF_'+@Table+'_'+@Col)
end try
begin catch
end catch


begin try
if(@ConstraintName is not null )
exec ('ALTER TABLE['+@Table+ ']DROP CONSTRAINT '+ @ConstraintName)
end try
begin catch
end catch
if(@Column_default is not null )
begin
begin try
exec ('ALTER TABLE['+@Table+ ']ADD  CONSTRAINT [DF_'+@Table+'_'+@Col+'] DEFAULT ('+@Column_default+') FOR ' +@Col  )
exec (' UPDATE '+@Table+' SET '+@Col+'='+@Column_default+' WHERE ' +@Col+' is null ')
end try
begin catch
end catch
end

else
begin

exec ('ALTER TABLE['+@Table+ ']ALTER COLUMN ['+@Col +'] '+@Data_Type1+' '+@IS_NULLABLE )
end

end




GO